// Rollup plugins
import buble from 'rollup-plugin-buble';
import cleanup from 'rollup-plugin-cleanup';
import commonjs from 'rollup-plugin-commonjs';
import filesize from 'rollup-plugin-filesize';
import resolve from 'rollup-plugin-node-resolve';
import sizes from 'rollup-plugin-sizes';
import strip from 'rollup-plugin-strip';
import uglify from 'rollup-plugin-uglify';

export default {
	entry: 'src/index.js',
	dest: 'js/index.min.js',
	format: 'iife',
	sourceMap: true,
	useStrict: true,
	plugins: [
		resolve({
			jsnext: true,
			main: true,
			browser: true
		}),
		commonjs({
			include: 'node_modules/**',
			exclude: []
		}),
		buble({
			exclude: 'node_modules/**'
		}),
		/*strip({
			debugger: false,
			functions: ['console.*', 'assert.*', 'debug', 'alert']
		}),*/
		(process.env.NODE_ENV === 'production')
			? uglify({
				negate_iife: false,
				support_ie8: true
			})
			: cleanup({
				maxEmptyLines: 0,
				comments: 'none'
			}),
		filesize(),
		sizes()
	]
};
